### Hierarchy

- BaseAPI
  - RosettaApi

### Implements

- RosettaApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- request
- rosettaAccountBalance
- rosettaAccountBalanceRaw
- rosettaBlock
- rosettaBlockRaw
- rosettaBlockTransaction
- rosettaBlockTransactionRaw
- rosettaConstructionCombine
- rosettaConstructionCombineRaw
- rosettaConstructionDerive
- rosettaConstructionDeriveRaw
- rosettaConstructionHash
- rosettaConstructionHashRaw
- rosettaConstructionMetadata
- rosettaConstructionMetadataRaw
- rosettaConstructionParse
- rosettaConstructionParseRaw
- rosettaConstructionPayloads
- rosettaConstructionPayloadsRaw
- rosettaConstructionPreprocess
- rosettaConstructionPreprocessRaw
- rosettaConstructionSubmit
- rosettaConstructionSubmitRaw
- rosettaMempool
- rosettaMempoolRaw
- rosettaMempoolTransaction
- rosettaMempoolTransactionRaw
- rosettaNetworkList
- rosettaNetworkListRaw
- rosettaNetworkOptions
- rosettaNetworkOptionsRaw
- rosettaNetworkStatus
- rosettaNetworkStatusRaw
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new RosettaApi(configuration?: Configuration ): RosettaApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns RosettaApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### rosettaAccountBalance

- rosettaAccountBalance(requestParameters: RosettaAccountBalanceOperationRequest, initOverrides?: RequestInit): Promise< RosettaAccountBalanceResponse >

- Implementation of RosettaApiInterface.rosettaAccountBalance

  - Defined in src/generated/apis/RosettaApi.ts:472

  An AccountBalanceRequest is utilized to make a balance request on the /account/balance endpoint. If the block_identifier is populated, a historical balance query should be performed. Get an Account Balance

  #### Parameters

  - ##### requestParameters: RosettaAccountBalanceOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaAccountBalanceResponse >

### rosettaAccountBalanceRaw

- rosettaAccountBalanceRaw(requestParameters: RosettaAccountBalanceOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaAccountBalanceResponse >>

- Implementation of RosettaApiInterface.rosettaAccountBalanceRaw

  - Defined in src/generated/apis/RosettaApi.ts:446

  An AccountBalanceRequest is utilized to make a balance request on the /account/balance endpoint. If the block_identifier is populated, a historical balance query should be performed. Get an Account Balance

  #### Parameters

  - ##### requestParameters: RosettaAccountBalanceOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaAccountBalanceResponse >>

### rosettaBlock

- rosettaBlock(requestParameters: RosettaBlockOperationRequest, initOverrides?: RequestInit): Promise< RosettaBlockResponse >

- Implementation of RosettaApiInterface.rosettaBlock

  - Defined in src/generated/apis/RosettaApi.ts:507

  A BlockRequest is utilized to make a block request on the /block endpoint. Get a Block

  #### Parameters

  - ##### requestParameters: RosettaBlockOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaBlockResponse >

### rosettaBlockRaw

- rosettaBlockRaw(requestParameters: RosettaBlockOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaBlockResponse >>

- Implementation of RosettaApiInterface.rosettaBlockRaw

  - Defined in src/generated/apis/RosettaApi.ts:481

  A BlockRequest is utilized to make a block request on the /block endpoint. Get a Block

  #### Parameters

  - ##### requestParameters: RosettaBlockOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaBlockResponse >>

### rosettaBlockTransaction

- rosettaBlockTransaction(requestParameters: RosettaBlockTransactionOperationRequest, initOverrides?: RequestInit): Promise< RosettaBlockTransactionResponse >

- Implementation of RosettaApiInterface.rosettaBlockTransaction

  - Defined in src/generated/apis/RosettaApi.ts:542

  A BlockTransactionRequest is used to fetch a Transaction included in a block that is not returned in a BlockResponse. Get a Block Transaction

  #### Parameters

  - ##### requestParameters: RosettaBlockTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaBlockTransactionResponse >

### rosettaBlockTransactionRaw

- rosettaBlockTransactionRaw(requestParameters: RosettaBlockTransactionOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaBlockTransactionResponse >>

- Implementation of RosettaApiInterface.rosettaBlockTransactionRaw

  - Defined in src/generated/apis/RosettaApi.ts:516

  A BlockTransactionRequest is used to fetch a Transaction included in a block that is not returned in a BlockResponse. Get a Block Transaction

  #### Parameters

  - ##### requestParameters: RosettaBlockTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaBlockTransactionResponse >>

### rosettaConstructionCombine

- rosettaConstructionCombine(requestParameters: RosettaConstructionCombineOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionCombineResponse >

- Implementation of RosettaApiInterface.rosettaConstructionCombine

  - Defined in src/generated/apis/RosettaApi.ts:577

  Take unsigned transaction and signature, combine both and return signed transaction Create Network Transaction from Signatures

  #### Parameters

  - ##### requestParameters: RosettaConstructionCombineOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionCombineResponse >

### rosettaConstructionCombineRaw

- rosettaConstructionCombineRaw(requestParameters: RosettaConstructionCombineOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionCombineResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionCombineRaw

  - Defined in src/generated/apis/RosettaApi.ts:551

  Take unsigned transaction and signature, combine both and return signed transaction Create Network Transaction from Signatures

  #### Parameters

  - ##### requestParameters: RosettaConstructionCombineOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionCombineResponse >>

### rosettaConstructionDerive

- rosettaConstructionDerive(requestParameters: RosettaConstructionDeriveOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionDeriveResponse >

- Implementation of RosettaApiInterface.rosettaConstructionDerive

  - Defined in src/generated/apis/RosettaApi.ts:612

  TODO Derive an AccountIdentifier from a PublicKey

  #### Parameters

  - ##### requestParameters: RosettaConstructionDeriveOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionDeriveResponse >

### rosettaConstructionDeriveRaw

- rosettaConstructionDeriveRaw(requestParameters: RosettaConstructionDeriveOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionDeriveResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionDeriveRaw

  - Defined in src/generated/apis/RosettaApi.ts:586

  TODO Derive an AccountIdentifier from a PublicKey

  #### Parameters

  - ##### requestParameters: RosettaConstructionDeriveOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionDeriveResponse >>

### rosettaConstructionHash

- rosettaConstructionHash(requestParameters: RosettaConstructionHashOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionHashResponse >

- Implementation of RosettaApiInterface.rosettaConstructionHash

  - Defined in src/generated/apis/RosettaApi.ts:647

  TODO Get the Hash of a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionHashOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionHashResponse >

### rosettaConstructionHashRaw

- rosettaConstructionHashRaw(requestParameters: RosettaConstructionHashOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionHashResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionHashRaw

  - Defined in src/generated/apis/RosettaApi.ts:621

  TODO Get the Hash of a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionHashOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionHashResponse >>

### rosettaConstructionMetadata

- rosettaConstructionMetadata(requestParameters: RosettaConstructionMetadataOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionMetadataResponse >

- Implementation of RosettaApiInterface.rosettaConstructionMetadata

  - Defined in src/generated/apis/RosettaApi.ts:682

  TODO Get Metadata for Transaction Construction

  #### Parameters

  - ##### requestParameters: RosettaConstructionMetadataOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionMetadataResponse >

### rosettaConstructionMetadataRaw

- rosettaConstructionMetadataRaw(requestParameters: RosettaConstructionMetadataOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionMetadataResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionMetadataRaw

  - Defined in src/generated/apis/RosettaApi.ts:656

  TODO Get Metadata for Transaction Construction

  #### Parameters

  - ##### requestParameters: RosettaConstructionMetadataOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionMetadataResponse >>

### rosettaConstructionParse

- rosettaConstructionParse(requestParameters: RosettaConstructionParseOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionParseResponse >

- Implementation of RosettaApiInterface.rosettaConstructionParse

  - Defined in src/generated/apis/RosettaApi.ts:717

  TODO Parse a Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionParseOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionParseResponse >

### rosettaConstructionParseRaw

- rosettaConstructionParseRaw(requestParameters: RosettaConstructionParseOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionParseResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionParseRaw

  - Defined in src/generated/apis/RosettaApi.ts:691

  TODO Parse a Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionParseOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionParseResponse >>

### rosettaConstructionPayloads

- rosettaConstructionPayloads(requestParameters: RosettaConstructionPayloadsOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionPayloadResponse >

- Implementation of RosettaApiInterface.rosettaConstructionPayloads

  - Defined in src/generated/apis/RosettaApi.ts:752

  Generate and unsigned transaction from operations and metadata Generate an Unsigned Transaction and Signing Payloads

  #### Parameters

  - ##### requestParameters: RosettaConstructionPayloadsOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionPayloadResponse >

### rosettaConstructionPayloadsRaw

- rosettaConstructionPayloadsRaw(requestParameters: RosettaConstructionPayloadsOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionPayloadResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionPayloadsRaw

  - Defined in src/generated/apis/RosettaApi.ts:726

  Generate and unsigned transaction from operations and metadata Generate an Unsigned Transaction and Signing Payloads

  #### Parameters

  - ##### requestParameters: RosettaConstructionPayloadsOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionPayloadResponse >>

### rosettaConstructionPreprocess

- rosettaConstructionPreprocess(requestParameters: RosettaConstructionPreprocessOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionPreprocessResponse >

- Implementation of RosettaApiInterface.rosettaConstructionPreprocess

  - Defined in src/generated/apis/RosettaApi.ts:787

  TODO Create a Request to Fetch Metadata

  #### Parameters

  - ##### requestParameters: RosettaConstructionPreprocessOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionPreprocessResponse >

### rosettaConstructionPreprocessRaw

- rosettaConstructionPreprocessRaw(requestParameters: RosettaConstructionPreprocessOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionPreprocessResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionPreprocessRaw

  - Defined in src/generated/apis/RosettaApi.ts:761

  TODO Create a Request to Fetch Metadata

  #### Parameters

  - ##### requestParameters: RosettaConstructionPreprocessOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionPreprocessResponse >>

### rosettaConstructionSubmit

- rosettaConstructionSubmit(requestParameters: RosettaConstructionSubmitOperationRequest, initOverrides?: RequestInit): Promise< RosettaConstructionSubmitResponse >

- Implementation of RosettaApiInterface.rosettaConstructionSubmit

  - Defined in src/generated/apis/RosettaApi.ts:822

  Submit a pre-signed transaction to the node. Submit a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionSubmitOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaConstructionSubmitResponse >

### rosettaConstructionSubmitRaw

- rosettaConstructionSubmitRaw(requestParameters: RosettaConstructionSubmitOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaConstructionSubmitResponse >>

- Implementation of RosettaApiInterface.rosettaConstructionSubmitRaw

  - Defined in src/generated/apis/RosettaApi.ts:796

  Submit a pre-signed transaction to the node. Submit a Signed Transaction

  #### Parameters

  - ##### requestParameters: RosettaConstructionSubmitOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaConstructionSubmitResponse >>

### rosettaMempool

- rosettaMempool(requestParameters: RosettaMempoolOperationRequest, initOverrides?: RequestInit): Promise< RosettaMempoolResponse >

- Implementation of RosettaApiInterface.rosettaMempool

  - Defined in src/generated/apis/RosettaApi.ts:857

  Get all Transaction Identifiers in the mempool. Get All Mempool Transactions

  #### Parameters

  - ##### requestParameters: RosettaMempoolOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaMempoolResponse >

### rosettaMempoolRaw

- rosettaMempoolRaw(requestParameters: RosettaMempoolOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaMempoolResponse >>

- Implementation of RosettaApiInterface.rosettaMempoolRaw

  - Defined in src/generated/apis/RosettaApi.ts:831

  Get all Transaction Identifiers in the mempool. Get All Mempool Transactions

  #### Parameters

  - ##### requestParameters: RosettaMempoolOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaMempoolResponse >>

### rosettaMempoolTransaction

- rosettaMempoolTransaction(requestParameters: RosettaMempoolTransactionOperationRequest, initOverrides?: RequestInit): Promise< RosettaMempoolTransactionResponse >

- Implementation of RosettaApiInterface.rosettaMempoolTransaction

  - Defined in src/generated/apis/RosettaApi.ts:892

  A MempoolTransactionRequest is utilized to retrieve a transaction from the mempool. Get a Mempool Transaction

  #### Parameters

  - ##### requestParameters: RosettaMempoolTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaMempoolTransactionResponse >

### rosettaMempoolTransactionRaw

- rosettaMempoolTransactionRaw(requestParameters: RosettaMempoolTransactionOperationRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaMempoolTransactionResponse >>

- Implementation of RosettaApiInterface.rosettaMempoolTransactionRaw

  - Defined in src/generated/apis/RosettaApi.ts:866

  A MempoolTransactionRequest is utilized to retrieve a transaction from the mempool. Get a Mempool Transaction

  #### Parameters

  - ##### requestParameters: RosettaMempoolTransactionOperationRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaMempoolTransactionResponse >>

### rosettaNetworkList

- rosettaNetworkList(initOverrides?: RequestInit): Promise< RosettaNetworkListResponse >

- Implementation of RosettaApiInterface.rosettaNetworkList

  - Defined in src/generated/apis/RosettaApi.ts:920

  This endpoint returns a list of NetworkIdentifiers that the Rosetta server supports. Get List of Available Networks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaNetworkListResponse >

### rosettaNetworkListRaw

- rosettaNetworkListRaw(initOverrides?: RequestInit): Promise< ApiResponse < RosettaNetworkListResponse >>

- Implementation of RosettaApiInterface.rosettaNetworkListRaw

  - Defined in src/generated/apis/RosettaApi.ts:901

  This endpoint returns a list of NetworkIdentifiers that the Rosetta server supports. Get List of Available Networks

  #### Parameters

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaNetworkListResponse >>

### rosettaNetworkOptions

- rosettaNetworkOptions(requestParameters: RosettaNetworkOptionsRequest, initOverrides?: RequestInit): Promise< RosettaNetworkOptionsResponse >

- Implementation of RosettaApiInterface.rosettaNetworkOptions

  - Defined in src/generated/apis/RosettaApi.ts:955

  This endpoint returns the version information and allowed network-specific types for a NetworkIdentifier. Any NetworkIdentifier returned by /network/list should be accessible here. Because options are retrievable in the context of a NetworkIdentifier, it is possible to define unique options for each network. Get Network Options

  #### Parameters

  - ##### requestParameters: RosettaNetworkOptionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< RosettaNetworkOptionsResponse >

### rosettaNetworkOptionsRaw

- rosettaNetworkOptionsRaw(requestParameters: RosettaNetworkOptionsRequest, initOverrides?: RequestInit): Promise< ApiResponse < RosettaNetworkOptionsResponse >>

- Implementation of RosettaApiInterface.rosettaNetworkOptionsRaw

  - Defined in src/generated/apis/RosettaApi.ts:929

  This endpoint returns the version information and allowed network-specific types for a NetworkIdentifier. Any NetworkIdentifier returned by /network/list should be accessible here. Because options are retrievable in the context of a NetworkIdentifier, it is possible to define unique options for each network. Get Network Options

  #### Parameters

  - ##### requestParameters: RosettaNetworkOptionsRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < RosettaNetworkOptionsResponse >>

### rosettaNetworkStatus

- rosettaNetworkStatus(requestParameters: RosettaNetworkStatusRequest, initOverrides?: RequestInit): Promise<{}>

- Implementation of RosettaApiInterface.rosettaNetworkStatus

  - Defined in src/generated/apis/RosettaApi.ts:990

  This endpoint returns the current status of the network requested. Any NetworkIdentifier returned by /network/list should be accessible here. Get Network Status

  #### Parameters

  - ##### requestParameters: RosettaNetworkStatusRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<{}>

### rosettaNetworkStatusRaw

- rosettaNetworkStatusRaw(requestParameters: RosettaNetworkStatusRequest, initOverrides?: RequestInit): Promise< ApiResponse <{}>>

- Implementation of RosettaApiInterface.rosettaNetworkStatusRaw

  - Defined in src/generated/apis/RosettaApi.ts:964

  This endpoint returns the current status of the network requested. Any NetworkIdentifier returned by /network/list should be accessible here. Get Network Status

  #### Parameters

  - ##### requestParameters: RosettaNetworkStatusRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse <{}>>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc